package main

import (
	"context"
	"fmt"
	"testing"

	"github.com/jackc/pgx/v5/pgxpool"
)

// path to a file containing the db password
var passfile string

func TestDB(t *testing.T) {
	ctx := context.Background()

	//prep
	pool, err := pgxpool.New(
		ctx,
		fmt.Sprintf(
			"user=%s password=%s database=%s host=%s port=%d sslmode=%s ",
			"bottin",
			dbPassword,
			"bottin",
			"postgres.agecem.com",
			5432,
			"require", //TODO change to "require"
		))
	if err != nil {
		t.Error(err)
		return
	}
	defer pool.Close()

	db := &PostgresClient{
		Ctx:  ctx,
		Pool: pool,
	}

	//exec

	t.Run("create or replace schema",
		func(t *testing.T) {
			if err := db.CreateOrReplaceSchema(); err != nil {
				t.Error(err)
			}
		})
}
